curl --location 'https://api.myvocal.ai/sound_clone/api/v1/user/info' \
--header 'accessKey: xxxx'
{
"code": 1,
"message": "Success",
"data": {
"plan": "Business",
"status": "active",
"resetInDays": 2,
"benefit": {
"usedVoices": 146,
"totalVoices": 150,
"usedMonthlyChars": 3498604,
"totalMonthlyChars": 3500000,
"usedOrderChars": 0,
"totalOrderChars": 0
}
}
}
{
"code": -1,
"message": "error msg",
}
Getting started
Get account information
Return the plan, subscription status and voice and Character quotas of the account that owns the API key.
GET
/
sound_clone
/
api
/
v1
/
user
/
info
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/user/info' \
--header 'accessKey: xxxx'
{
"code": 1,
"message": "Success",
"data": {
"plan": "Business",
"status": "active",
"resetInDays": 2,
"benefit": {
"usedVoices": 146,
"totalVoices": 150,
"usedMonthlyChars": 3498604,
"totalMonthlyChars": 3500000,
"usedOrderChars": 0,
"totalOrderChars": 0
}
}
}
{
"code": -1,
"message": "error msg",
}
Getting started · Use this read-only call to verify your key: First API request
Header
string
required
Your API key. See Authentication.
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
Your current subscription plan.
string
Your current subscription status:
If you haven’t cancel your subsciption, the status will be “active”,
If you have cancelled your subcription, the status will be “cancellation upon expiration” before the subscription expired.
number
If you haven’t cancelled your subscription, this parameter means the countdown days for your plan benefits to be updated.
If you have cancelled your subscription, this parameter means the countdown days for your plan to be downgraded to a free user.
object
Show Toggle object
Show Toggle object
number
The number of custom voices you created through the website or API.
number
The maximum number of custom voices you can create with your subscription plan.
number
The number of TTS characters you have used within your subscription plan.
number
The maximum number of TTS characters within your subscription plan.
number
The number of TTS characters you have used without your subscription plan.
number
The number of TTS characters you have purchased without your subscription plan.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/user/info' \
--header 'accessKey: xxxx'
{
"code": 1,
"message": "Success",
"data": {
"plan": "Business",
"status": "active",
"resetInDays": 2,
"benefit": {
"usedVoices": 146,
"totalVoices": 150,
"usedMonthlyChars": 3498604,
"totalMonthlyChars": 3500000,
"usedOrderChars": 0,
"totalOrderChars": 0
}
}
}
{
"code": -1,
"message": "error msg",
}
